<?php
defined('TYPO3_MODE') || die('Access denied.');

// ext_tables.php contient les directives permettant de configurer le backend

call_user_func(
    function()
    {
        if (TYPO3_MODE === 'BE') {
            /**
             * Registers the statistics backend module
             */
            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
                'Opentalent.OtStats',
                'web', // Make module a submodule of 'web'
                'otstats', // Submodule key
                'after:OtTemplatingOtcustomizer', // Position
                array(
                    'OtStats' => 'index,askForActivationConfirmation,askForDeactivationConfirmation,enableStats,disableStats'
                ),
                array(
                    'access' => 'user,group',
                    'icon' => 'EXT:ot_stats/Resources/Public/Icons/pie-chart.png',
                    'labels' => 'LLL:EXT:ot_stats/Resources/Private/Language/locallang_mod.xlf',
                )
            );
        }
    }
);
